Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.wtc.jatmi
Interface AppKey

public interface AppKey

This interface can be overridded by security providers who wish to implement their own Appkey.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `GIDMASK`
`static int` | `GIDSHIFT`
`static int` | `TPSYSADM_KEY`
`static int` | `TPSYSOP_KEY`
`static int` | `UIDMASK`

Method Summary
`UserRec` | `getTuxedoUserRecord(weblogic.security.acl.internal.AuthenticatedSubject subj)` This method returns an APPKEY
`void` | `init(java.lang.String param, boolean anonAllowed, int defaultAppKey)` This method initializes the AppKey module.
`void` | `uninit()` This method releases any resources used by AppKey module.

Field Detail

### UIDMASK

    public static final int UIDMASK

### GIDMASK

    public static final int GIDMASK

### GIDSHIFT

    public static final int GIDSHIFT

### TPSYSADM_KEY

    public static final int TPSYSADM_KEY

### TPSYSOP_KEY

    public static final int TPSYSOP_KEY

Method Detail

### init

    public void init(java.lang.String param,
                     boolean anonAllowed,
                     int defaultAppKey)
              throws TPException

  This method initializes the AppKey module.

  Parameters:
    `param` - A string that contains the initialization arguments for the class to use. It can be null. You may need to parse this information if necessary.
  Returns:
    On failure to initialize the plug-in, it will throw TPException.TPESYSTEM.

### uninit

    public void uninit()
                throws TPException

  This method releases any resources used by AppKey module.

  Returns:
    On failure to remove the plug-in module, it throws TPException.

### getTuxedoUserRecord

    public UserRec getTuxedoUserRecord(weblogic.security.acl.internal.AuthenticatedSubject subj)

  This method returns an APPKEY

  Parameters:
    `subj` - The authenticated user of the current execution thread.
  Returns:
    On success, a user record to be used for creating Tuxedo AAA token. Null indicates failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD